CREATE TABLE external_group_mapper (
	group_id integer NOT NULL,
	uid text NOT NULL DEFAULT '',
	updated integer NOT NULL DEFAULT 0,
	CONSTRAINT external_group_mapper_id_fk FOREIGN KEY (group_id)
		REFERENCES contact_group (id) MATCH FULL
		ON UPDATE CASCADE ON DELETE CASCADE
);

DROP TABLE IF EXISTS external_accounts;
CREATE TABLE IF NOT EXISTS external_source (
	group_id integer NOT NULL,
	source varchar(32) NOT NULL DEFAULT '',
	username varchar(1024) NOT NULL DEFAULT '',
	token text NOT NULL DEFAULT '',
    status integer NOT NULL DEFAULT 0,
    updated_time integer NOT NULL DEFAULT 0,
	CONSTRAINT external_source_uk UNIQUE (group_id),
	CONSTRAINT external_source_group_id_fk FOREIGN KEY (group_id)
		REFERENCES contact_group (id) MATCH FULL
		ON UPDATE CASCADE ON DELETE CASCADE
);

ALTER TABLE external_source ADD COLUMN updated integer NOT NULL DEFAULT 0;
UPDATE contact_group SET path = name WHERE path = "";

UPDATE config SET value = '5' WHERE key = 'version';
