CREATE TABLE IF NOT EXISTS many_message_has_many_label(
	id_message integer,
	id_label integer,
	CONSTRAINT many_message_has_many_label PRIMARY KEY (id_message,id_label),
	CONSTRAINT message_fk FOREIGN KEY (id_message) REFERENCES message (id) MATCH FULL
	ON DELETE CASCADE ON UPDATE CASCADE NOT DEFERRABLE,
	CONSTRAINT label_fk FOREIGN KEY (id_label) REFERENCES label (id) MATCH FULL
	ON DELETE CASCADE ON UPDATE CASCADE NOT DEFERRABLE
);

CREATE VIEW IF NOT EXISTS many_thread_with_many_label
AS SELECT DISTINCT id_thread, id_label FROM many_message_has_many_label INNER JOIN (SELECT id, id_thread FROM message) AS t1 ON t1.id = many_message_has_many_label.id_message;