CREATE TABLE mailbox_tmp(
    id integer NOT NULL,
    is_subscribed boolean NOT NULL,
    uid_validity bigint NOT NULL,
    highest_mod_seq varchar(32) NOT NULL,
    path varchar(256) NOT NULL,
	deleted integer NOT NULL DEFAULT 0,
	is_notification_enabled boolean NOT NULL DEFAULT 0,
	is_own boolean NOT NULL DEFAULT 1,
	my_permission text NOT NULL DEFAULT '',
	owner text NOT NULL DEFAULT '',
    CONSTRAINT mailbox_id_pk PRIMARY KEY (id),
    CONSTRAINT mailbox_uid_validity_owner_uk UNIQUE (uid_validity, owner),
    CONSTRAINT mailbox_path_uk UNIQUE (path)
);

INSERT INTO mailbox_tmp SELECT * FROM mailbox;
DROP TABLE mailbox;
ALTER TABLE mailbox_tmp RENAME TO mailbox;
UPDATE config SET value = '10' WHERE key = 'version';
