CREATE INDEX IF NOT EXISTS message_reply_to_idx ON message (reply_to);
CREATE INDEX IF NOT EXISTS attachment_message_id_idx ON attachment (id_message);
CREATE INDEX IF NOT EXISTS message_reference_reference_id_idx ON many_message_has_many_reference (id_reference);
CREATE INDEX IF NOT EXISTS message_reference_message_id_idx ON many_message_has_many_reference (id_message);
CREATE INDEX IF NOT EXISTS thread_label_thread_id_idx ON many_thread_has_many_label (id_thread);
CREATE INDEX IF NOT EXISTS thread_label_label_id_idx ON many_thread_has_many_label (id_label);
CREATE INDEX IF NOT EXISTS message_recipient_message_id_idx ON many_message_has_many_recipient (id_message);
CREATE INDEX IF NOT EXISTS message_recipient_email_id_idx ON many_message_has_many_recipient (id_email);

ALTER TABLE mailbox ADD COLUMN deleted integer NOT NULL DEFAULT 0;

UPDATE config SET value = '2' WHERE key = 'version';
