#!/bin/sh
PACKAGE_DIR="/var/packages/MailClient"
MAILSERVER_BACKEND_BIN="/var/packages/MailPlus-Server/target/bin/syno_mailserver_backend"
NOTIFY_DAEMON_BIN="${PACKAGE_DIR}/target/tool/notify_daemon"

val=`$MAILSERVER_BACKEND_BIN --getConfKeyVal smtp_changed_uids`
while IFS=', ' read -ra UIDS; do
	for uid in "${UIDS[@]}"; do
		${NOTIFY_DAEMON_BIN} -u ${uid} -t "update_smtp"
	done
done <<< "$val"
