#!/bin/sh

SERVER_BIN="/var/packages/MailPlus-Server/target/usr/bin/syno-mailplus-server-go-utils"

option="${1}"
service="${2}"
case ${service} in
	"synomailclientd")
		SERVICE_NAME="mailplus_client_synomailclientd"
		DAEMON=$service
	;;
	*)
	echo "Usage: $0 [register|deregister] [synomailclientd]"
	exit 1
	;;
esac


if [ "$option" == "register" ]; then
	PID=`pidof ${DAEMON}`
	if [ "$PID" != "" ]; then
		$SERVER_BIN mailplus_server_command --register --service_name "${SERVICE_NAME}" --opt "pid:${PID}"
	fi
elif [ "$option" == "deregister" ]; then
	$SERVER_BIN mailplus_server_command --deregister --service_name "${SERVICE_NAME}"
else
	echo "Usage: $0 [register|deregister] [synomailclientd]"
	exit 1
fi